Debian Bug report logs - #604368
Preparations for the removal of the KDE3 and Qt3 libraries

version graph

Package: src:pfstools; Maintainer for src:pfstools is Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>;

Reported by: Eckhart Wörner <ewoerner@kde.org>

Date: Sun, 21 Nov 2010 19:48:20 UTC

Severity: important

Tags: fixed-upstream, patch, sid, wheezy

Fixed in version pfstools/1.8.5-0.1

Done: Sébastien Villemot <sebastien.villemot@ens.fr>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/?func=detail&aid=3127946&group_id=129921&atid=716245

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#604368; Package src:pfstools. (Sun, 21 Nov 2010 19:48:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
New Bug report received and forwarded. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Sun, 21 Nov 2010 19:48:23 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: maintonly@bugs.debian.org
Subject: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sun, 21 Nov 2010 20:46:55 +0100
Source: pfstools
Severity: wishlist
User: debian-qt-kde@lists.debian.org
Usertags: qt3libs-removal


Dear maintainer,

The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
will finish since both KDE and Nokia upstream don't maintain the old versions 
of those libraries anymore.

In order to make this move, all packages directly or indirectly depending on 
the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
port of your application
- if there are no activities regarding porting, investigate whether there are 
suitable alternatives for your users
- if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
- if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
archives, consider removing the KDE3/Qt3 version

Documentation on how to port to KDE4 can be found at:
http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide

Documentation on how to port to Qt4 can be found at:
http://doc.qt.nokia.com/4.7/porting4.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE 
team at debian-qt-kde@lists.debian.org

Eckhart




Set Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail&aid=3127946&group_id=129921&atid=716245'. Request was from Andreas Metzler <ametzler@debian.org> to control@bugs.debian.org. (Sun, 05 Dec 2010 12:30:07 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:29:08 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 10 Feb 2011 19:35:07 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:37:08 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 24 Mar 2011 16:39:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#604368; Package src:pfstools. (Sun, 20 May 2012 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Sun, 20 May 2012 11:21:06 GMT) Full text and rfc822 format available.

Message #20 received at 604368@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 604368@bugs.debian.org
Subject: Re: Bug#604368: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sun, 20 May 2012 13:16:21 +0200
On Sun, Nov 21, 2010 at 08:46:55PM +0100, Eckhart Wörner wrote:
> Source: pfstools
> Severity: wishlist
> User: debian-qt-kde@lists.debian.org
> Usertags: qt3libs-removal
> 
> 
> Dear maintainer,
> 
> The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
> Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
> will finish since both KDE and Nokia upstream don't maintain the old versions 
> of those libraries anymore.
> 
> In order to make this move, all packages directly or indirectly depending on 
> the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
> removed from the Debian repositories.
> 
> Therefore, please take the time and:
> - contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
> port of your application
> - if there are no activities regarding porting, investigate whether there are 
> suitable alternatives for your users
> - if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
> - if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
> archives, consider removing the KDE3/Qt3 version
> 
> Documentation on how to port to KDE4 can be found at:
> http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide
> 
> Documentation on how to port to Qt4 can be found at:
> http://doc.qt.nokia.com/4.7/porting4.html
>

Hello maintainers,

One year and a half later, it is about time to remove Qt3.
In the case of pfstools, could you please update to the version 1.8.3 that
is Qt4 based?

Thanks,
Ana





Information forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#604368; Package src:pfstools. (Sun, 03 Jun 2012 10:24:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien.villemot@ens.fr>:
Extra info received and forwarded to list. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Sun, 03 Jun 2012 10:24:37 GMT) Full text and rfc822 format available.

Message #25 received at 604368@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien.villemot@ens.fr>
To: 604368@bugs.debian.org, 666959@bugs.debian.org
Subject: NMU for octave- and qt-related bugs
Date: Sun, 03 Jun 2012 12:23:11 +0200
[Message part 1 (text/plain, inline)]
Dear Maintainer,

I’ve prepared an NMU for pfstools which fixes #604368 (Qt3->Qt4
transition), #666959 (Octave 3.2->3.6 transition) and the Lintian error
about obsolete dpatch. The NMU relies on the new upstream release 1.8.5
(which fixes the Qt issue).

Please find attached the debdiff (only for the debian/ subdir).

I am going to look for a sponsor for this NMU. If you want me to provide
a series of patches that you can incorporate into your VCS, don't
hesitate to ask.

Thanks for you work,
[pfstools_1.8.5-0.1.diff (text/x-diff, attachment)]
[Message part 3 (text/plain, inline)]
-- 
Sébastien Villemot
Researcher in Economics & Debian Maintainer
http://www.dynare.org/sebastien
Phone: +33-1-40-77-84-04 - GPG Key: 4096R/381A7594
[Message part 4 (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Sébastien Villemot <sebastien.villemot@ens.fr> to control@bugs.debian.org. (Sun, 03 Jun 2012 10:24:50 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#604368; Package src:pfstools. (Sun, 03 Jun 2012 21:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Sun, 03 Jun 2012 21:15:03 GMT) Full text and rfc822 format available.

Message #32 received at 604368@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Sébastien Villemot <sebastien.villemot@ens.fr>, 604368@bugs.debian.org
Cc: 666959@bugs.debian.org
Subject: Re: Bug#604368: NMU for octave- and qt-related bugs
Date: Sun, 3 Jun 2012 23:09:44 +0200
On Sun, Jun 03, 2012 at 12:23:11PM +0200, Sébastien Villemot wrote:
> Dear Maintainer,
> 
> I’ve prepared an NMU for pfstools which fixes #604368 (Qt3->Qt4
> transition), #666959 (Octave 3.2->3.6 transition) and the Lintian error
> about obsolete dpatch. The NMU relies on the new upstream release 1.8.5
> (which fixes the Qt issue).
> 
> Please find attached the debdiff (only for the debian/ subdir).
> 
> I am going to look for a sponsor for this NMU. If you want me to provide
> a series of patches that you can incorporate into your VCS, don't
> hesitate to ask.
>

I am looking at it.

> Thanks for you work,

Likewise ;)

Ana




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#604368; Package src:pfstools. (Sun, 03 Jun 2012 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Sun, 03 Jun 2012 21:51:03 GMT) Full text and rfc822 format available.

Message #37 received at 604368@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Sébastien Villemot <sebastien.villemot@ens.fr>, 604368@bugs.debian.org
Cc: 666959@bugs.debian.org
Subject: Re: Bug#604368: NMU for octave- and qt-related bugs
Date: Sun, 3 Jun 2012 23:49:32 +0200
On Sun, Jun 03, 2012 at 11:09:44PM +0200, Ana Guerrero wrote:
> On Sun, Jun 03, 2012 at 12:23:11PM +0200, Sébastien Villemot wrote:
> > Dear Maintainer,
> > 
> > I’ve prepared an NMU for pfstools which fixes #604368 (Qt3->Qt4
> > transition), #666959 (Octave 3.2->3.6 transition) and the Lintian error
> > about obsolete dpatch. The NMU relies on the new upstream release 1.8.5
> > (which fixes the Qt issue).
> > 
> > Please find attached the debdiff (only for the debian/ subdir).
> > 
> > I am going to look for a sponsor for this NMU. If you want me to provide
> > a series of patches that you can incorporate into your VCS, don't
> > hesitate to ask.
> >
> 
> I am looking at it.

Uploaded at DELAYED/4.

Ana




Reply sent to Sébastien Villemot <sebastien.villemot@ens.fr>:
You have taken responsibility. (Thu, 07 Jun 2012 22:27:05 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Thu, 07 Jun 2012 22:27:05 GMT) Full text and rfc822 format available.

Message #42 received at 604368-close@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien.villemot@ens.fr>
To: 604368-close@bugs.debian.org
Subject: Bug#604368: fixed in pfstools 1.8.5-0.1
Date: Thu, 07 Jun 2012 22:25:09 +0000
Source: pfstools
Source-Version: 1.8.5-0.1

We believe that the bug you reported is fixed in the latest version of
pfstools, which is due to be installed in the Debian FTP archive:

libpfs-1.2-0_1.8.5-0.1_amd64.deb
  to main/p/pfstools/libpfs-1.2-0_1.8.5-0.1_amd64.deb
libpfs-dev_1.8.5-0.1_amd64.deb
  to main/p/pfstools/libpfs-dev_1.8.5-0.1_amd64.deb
octave-pfstools_1.8.5-0.1_amd64.deb
  to main/p/pfstools/octave-pfstools_1.8.5-0.1_amd64.deb
pfsglview_1.8.5-0.1_amd64.deb
  to main/p/pfstools/pfsglview_1.8.5-0.1_amd64.deb
pfstools-dbg_1.8.5-0.1_amd64.deb
  to main/p/pfstools/pfstools-dbg_1.8.5-0.1_amd64.deb
pfstools_1.8.5-0.1.debian.tar.gz
  to main/p/pfstools/pfstools_1.8.5-0.1.debian.tar.gz
pfstools_1.8.5-0.1.dsc
  to main/p/pfstools/pfstools_1.8.5-0.1.dsc
pfstools_1.8.5-0.1_amd64.deb
  to main/p/pfstools/pfstools_1.8.5-0.1_amd64.deb
pfstools_1.8.5.orig.tar.gz
  to main/p/pfstools/pfstools_1.8.5.orig.tar.gz
pfsview_1.8.5-0.1_amd64.deb
  to main/p/pfstools/pfsview_1.8.5-0.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604368@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sébastien Villemot <sebastien.villemot@ens.fr> (supplier of updated pfstools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 03 Jun 2012 11:00:46 +0200
Source: pfstools
Binary: pfstools pfsglview pfsview pfstools-dbg libpfs-dev libpfs-1.2-0 octave-pfstools
Architecture: source amd64
Version: 1.8.5-0.1
Distribution: unstable
Urgency: low
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Changed-By: Sébastien Villemot <sebastien.villemot@ens.fr>
Description: 
 libpfs-1.2-0 - C++ library to read and write pfs files
 libpfs-dev - C++ library to read and write pfs files (development files)
 octave-pfstools - octave bindings for pfstools
 pfsglview  - command line HDR manipulation programs (OpenGL/GLUT viewer)
 pfstools   - command line HDR manipulation programs
 pfstools-dbg - command line HDR manipulation programs (debugging symbols)
 pfsview    - command line HDR manipulation programs (Qt viewer)
Closes: 604368 666959
Changes: 
 pfstools (1.8.5-0.1) unstable; urgency=low
 .
   * Non-maintainer upload.
 .
   [ Sébastien Villemot ]
   * New upstream release, build-depend on Qt4 instead of Qt3 (Closes: #604368)
   * gcc-4.4.dpatch: remove patch, applied upstream
   * Convert to format 3.0 (quilt) and drop dpatch, because otherwise Lintian
     produces an error (dpatch is obsolete)
 .
   [ Rafael Laboissiere ]
   * debian/control:
     - Build-depend on liboctave-dev, such that the package builds with
       Octave 3.6 (Closes: #666959)
     - Depend simply on octave, do not use the obsolete ${octave:Depends}
       substitution variable anymore
   * debian/rules:
     - Use directly the octave-config script in order to get the
       installation path for the *.oct and *.m files
     - Do not invoke the obsolete script octave-depends
   * debian/octave-pfstools.install: Adjust for the multiarch path, which
     contains the architecture triplet now
Checksums-Sha1: 
 bafc4541f9ef390ead169a9a6ccdb46aa34d746a 2427 pfstools_1.8.5-0.1.dsc
 dc595438f0fd8b40a05d9f9c498892363a1b3f05 846001 pfstools_1.8.5.orig.tar.gz
 448a273c83a3033b4b169432a3f8d79adefaabd0 6441 pfstools_1.8.5-0.1.debian.tar.gz
 f56b01f355647c6ffc277fb9ec9b8fb53af6ed17 346608 pfstools_1.8.5-0.1_amd64.deb
 07a6f092fdd3833c0c54c86d05c7404713afd52a 35936 pfsglview_1.8.5-0.1_amd64.deb
 beb88fc5abe279f9e51c859b4f4f0655d7c6a910 57424 pfsview_1.8.5-0.1_amd64.deb
 46c72e5a3942aeacf6273e21b747f3b5f7b33299 66226 pfstools-dbg_1.8.5-0.1_amd64.deb
 1e15e041eb9061de6b865bd9c7ffc1f3b549901d 40674 libpfs-dev_1.8.5-0.1_amd64.deb
 9f6d82cfa97fe4c3154956793b49d7a4889cddd0 30158 libpfs-1.2-0_1.8.5-0.1_amd64.deb
 cf633a2d68c2d85558c40b2361346e649e99696d 128740 octave-pfstools_1.8.5-0.1_amd64.deb
Checksums-Sha256: 
 ad26aceaece50c5e03fdc4d0df8fffa3daa0e1aed94ddf7d4a0633d20e9863ca 2427 pfstools_1.8.5-0.1.dsc
 2cf958d39ee3b65b034796b0abeea727590561936e295461de6365a750167306 846001 pfstools_1.8.5.orig.tar.gz
 d2a8bf714f09b764b519b6d4dd1a55f236d324484d05e0595113982ae36f8626 6441 pfstools_1.8.5-0.1.debian.tar.gz
 8b00cc652080ab3c39335cdc8dd198c3e8530a1665688a0082af356373712724 346608 pfstools_1.8.5-0.1_amd64.deb
 1a75b77c5fee1bc5c2bbec0934c1fc3ee94536af6ca8e7b3bb69c83f29fdbb0e 35936 pfsglview_1.8.5-0.1_amd64.deb
 494cf4b0752dfa43e16237ba6837260db03279a6e55aa49cd3db08631f3e0e09 57424 pfsview_1.8.5-0.1_amd64.deb
 b836f158b7e91b58c8992cdf8f600874f3586b501b2d6f7f65eeb2a2c4f8ce4a 66226 pfstools-dbg_1.8.5-0.1_amd64.deb
 2b6ee5cbd568e792bafd41e7bed5bb3e1def2d5d43147bd30408593e2823d272 40674 libpfs-dev_1.8.5-0.1_amd64.deb
 31bbb0c3225f4cc2a2b9b4e116cf6cac8222f304a1ced6aa96106171ba11e786 30158 libpfs-1.2-0_1.8.5-0.1_amd64.deb
 01575d0e1ca29a38610d66aaec364baaeba2d207767ea02f270b7944584f6e17 128740 octave-pfstools_1.8.5-0.1_amd64.deb
Files: 
 baf473a7817bdb2642429fa31d0b9e2b 2427 graphics optional pfstools_1.8.5-0.1.dsc
 80dac70bfb6359a6749453477e74b112 846001 graphics optional pfstools_1.8.5.orig.tar.gz
 78a9499dca549c0e75d3f6ae2fc50f77 6441 graphics optional pfstools_1.8.5-0.1.debian.tar.gz
 3240c09f708daca78bf3b870a0701130 346608 graphics optional pfstools_1.8.5-0.1_amd64.deb
 389e50747116402dd007e6000a878dea 35936 graphics optional pfsglview_1.8.5-0.1_amd64.deb
 cb5da8ba6b6f48bf008f80b34bd34b28 57424 graphics optional pfsview_1.8.5-0.1_amd64.deb
 66229e88409892c16185062229d7f20d 66226 debug extra pfstools-dbg_1.8.5-0.1_amd64.deb
 085cda554b60670ff39ddc8be15145cb 40674 libdevel optional libpfs-dev_1.8.5-0.1_amd64.deb
 879bd0cae2dbdde43590a25813e75e26 30158 libs optional libpfs-1.2-0_1.8.5-0.1_amd64.deb
 b167fb420a1304d35cca419f7c5049fc 128740 math optional octave-pfstools_1.8.5-0.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJPy9r/AAoJELNGT4lqoVlImE8P/2PgkERHHA+/BJ2AXtZouqHN
Lto1Rn/0rck/ksFEPkv2Oz9qo9rk/tdkBUziZO6gUngQjs0BRxr4qQLAcnn8N29t
DDSgjTNwgODYKwKjda+la0FlEAFP16O6U6UyVR5539jEmJvhMofS6Q9JsZy74u9x
+3qPeISxbB/PKg47c+rtoKfuNxuyaYKTgHB1V3bdwhCxVoE2cVxTyNB8OnMUNDER
jz1nqvfYEnggvHbUZ++mIfXIK140QGboFNzOY8Bbo9vaadzTOEWkpgBAN4+eAPm8
zGXZyPxT3n/CgrBOhHZFk3qovWMEUGd098QbI9/0Avf6Jfjmsm9bnpqMoNBOYZ0F
M5tD3HxZiwd74PRNhBIUikziGDd3oMJI9bmY1EpMv4BX9gfWCtSdb23hrHeZakEB
vTqzHB8z6PjHlaN7MiQrAH1xpFE1CZH0ZAmMF2VB7MssxJEodKroOY0sVVBq2YZT
VBYVp9XtqyavcSkB+pz3g71gQKZ4mESn8IHYqY3OUvHOZZOL9gtYYAYGLL5SDCcs
E37igk2SGGm/rY0tQkS4cXlVyO34AYUsNsvGqd21vO1YSLnfj2Mq/1mIKgHTJDV2
uzP1Yjo5IhHXPjrtNGBcoGWwMrb/zrESJ50oPaWtBMSuXsp3wccsZ/jCYMBfva3i
1ie4QGaWtSIWGI9CMBm1
=QNHL
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#604368; Package src:pfstools. (Sun, 10 Jun 2012 10:29:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Harl <tokkee@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Sun, 10 Jun 2012 10:29:45 GMT) Full text and rfc822 format available.

Message #47 received at 604368@bugs.debian.org (full text, mbox):

From: Sebastian Harl <tokkee@debian.org>
To: Ana Guerrero <ana@debian.org>, 604368@bugs.debian.org
Cc: Sébastien Villemot <sebastien.villemot@ens.fr>, 666959@bugs.debian.org
Subject: Re: [Pkg-phototools-devel] Bug#604368: NMU for octave- and qt-related bugs
Date: Sun, 10 Jun 2012 12:19:37 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Sun, Jun 03, 2012 at 11:49:32PM +0200, Ana Guerrero wrote:
> On Sun, Jun 03, 2012 at 11:09:44PM +0200, Ana Guerrero wrote:
> > On Sun, Jun 03, 2012 at 12:23:11PM +0200, Sébastien Villemot wrote:
> > > I’ve prepared an NMU for pfstools which fixes #604368 (Qt3->Qt4
> > > transition), #666959 (Octave 3.2->3.6 transition) and the Lintian error
> > > about obsolete dpatch. The NMU relies on the new upstream release 1.8.5
> > > (which fixes the Qt issue).
> > > 
> > > Please find attached the debdiff (only for the debian/ subdir).
> > > 
> > > I am going to look for a sponsor for this NMU. If you want me to provide
> > > a series of patches that you can incorporate into your VCS, don't
> > > hesitate to ask.
> > >
> > 
> > I am looking at it.
> 
> Uploaded at DELAYED/4.

Thanks a lot for taking care of that and sorry for not coming back
earlier. I was quite busy recently and pfstools was not a very high
priority issue to me. It's much appreciated that you took care of the
release issues and packaging the new upstream version.

I'm about to take care of the remaining bug today.

Cheers,
Sebastian

-- 
Sebastian "tokkee" Harl +++ GnuPG-ID: 0x8501C7FC +++ http://tokkee.org/

Those who would give up Essential Liberty to purchase a little Temporary
Safety, deserve neither Liberty nor Safety.         -- Benjamin Franklin

[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 08 Aug 2012 07:32:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:18:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.